Loading...
Searching...
No Matches
Gfx::ModelTriangleV1AndV2 Struct Reference

Triangle of new model file version 1 and 2. More...

`#include <src/graphics/model/model_io_structs.h>`

## Public Attributes

VertexTex2 | p1
| 1st vertex
VertexTex2 | p2
| 2nd vertex
VertexTex2 | p3
| 3rd vertex
Material | material
| Material.
std::string | tex1Name
| Name of 1st texture.
std::string | tex2Name
| Name of 2nd texture.
bool | variableTex2 = true
| If true, 2nd texture will be taken from current engine setting.
ModelLODLevel | lodLevel = ModelLODLevel::Constant
| LOD level (only version 1).
int | state = 0
| Rendering state to be set.

## Detailed Description

Triangle of new model file version 1 and 2.

## Member Data Documentation

## p1

VertexTex2 Gfx::ModelTriangleV1AndV2::p1

1st vertex

## p2

VertexTex2 Gfx::ModelTriangleV1AndV2::p2

2nd vertex

## p3

VertexTex2 Gfx::ModelTriangleV1AndV2::p3

3rd vertex

## material

Material Gfx::ModelTriangleV1AndV2::material

Material.

## tex1Name

std::string Gfx::ModelTriangleV1AndV2::tex1Name

Name of 1st texture.

## tex2Name

std::string Gfx::ModelTriangleV1AndV2::tex2Name

Name of 2nd texture.

## variableTex2

bool Gfx::ModelTriangleV1AndV2::variableTex2 = true

If true, 2nd texture will be taken from current engine setting.

## lodLevel

ModelLODLevel Gfx::ModelTriangleV1AndV2::lodLevel = ModelLODLevel::Constant

LOD level (only version 1).

## state

int Gfx::ModelTriangleV1AndV2::state = 0

Rendering state to be set.

The documentation for this struct was generated from the following file:

- src/graphics/model/model_io_structs.h